## int v24HaveData

## ( v24_port_t* port )

## Documentation

> If implemented by the operating system, this function returns the number of character waiting in the receive-queue. If the functions isn't available or if an error happens, a `-1` is returned. Use `v24QueryErrno` to retrieve the error code.

> Possible error code are `V24_OK`, `V24_E_NOT_IMPLEMENTED` and `V24_E_ILLHANDLE`.

Parameters:
  port - pointer to handle of the opened port.
Returns:
  (int) number of character in the receive-queue.
See Also:
  v24QueryErrno.

Alphabetic index

This page was generated with the help of DOC++.